List the transitions for this machine instance

GET /machines/{machineSlug}/i/{instanceSlug}/events

Path parameters

  • machineSlug string Required

    The slug/name for the machine definition.

    Minimum length is 1. Format should match the following pattern: ^[a-zA-Z0-9_-]{1,128}$.

  • instanceSlug string Required

    The slug/name for the machine instance.

    Minimum length is 1. Format should match the following pattern: ^[a-zA-Z0-9_-]{1,128}$.

Query parameters

  • cursor string

    A cursor returned from a previous call to /machines/{machineSlug}/i/{instanceSlug}/events

Responses

  • 200 application/json

    The transitions for this machine instance

    Hide response attributes Show response attributes object
    • transitions array[object] Required
      Hide transitions attributes Show transitions attributes object
      • createdAt string(date-time) Required
      • state string | object Required

        The state of the machine instance.

        For a machine instance with in a single, top-level state, this will be a string. For a machine instance in a hierarchically-nested state, it will be an object mapping parent states to child states. For a machine instance in a parallel state, it will be an object with multiple keys.

        One of:

        A simple state

        A compound state

      • event object | string Required

        An event to send to a machine instance.

        One of:

        An event to send to a machine.

        Event types are user-defined for a given machine definition.

    • cursor string

      The cursor to use on the next call to retrieve the next page of transitions. If no cursor is returned, there are no more pages to retrieve.

GET /machines/{machineSlug}/i/{instanceSlug}/events
curl \
 --request GET 'https://api.statebacked.dev/machines/my-machine/i/user-1234/events' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "transitions": [
    {
      "createdAt": "2026-05-04T09:42:00Z",
      "state": "string",
      "event": {
        "type": "string"
      }
    }
  ],
  "cursor": "string"
}